Bug 1122138 - JTA - HibernateException: Unable to locate current JTA transaction
Summary: JTA - HibernateException: Unable to locate current JTA transaction
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER05
: 6.2.0
Assignee: mposolda
QA Contact: vramik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 15:48 UTC by vramik
Modified: 2014-09-02 11:25 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3525 Major Resolved JTA - HibernateException: Unable to locate current JTA transaction 2016-10-03 18:58:03 UTC

Description vramik 2014-07-22 15:48:03 UTC
Description of problem:
When portal is configured to use JTA transactions (https://docs.jboss.org/author/display/GTNPORTAL38/JTA+integration) there is exception in logs (with INFO severity). It seems portal works fine, only stacktrace is shown. It is shown when user is logged in for the first time into the portal (or if the session is started again). The user is added into portal by our tool (it adds users directly by editting ${gatein.home}/gatein/gatein.ear/portal.war/WEB-INF/conf/organization/organization-configuration.xml). With user added using UI the exceprion isn't present. But e.g. if you try to sign in with blank username and password exception occurs.

Steps to Reproduce:
1. set portal using JTA and start it
2. click Sign In
3. leave blank input fields and click Sign In button 

or use config-tool to add demo users and try to log in as john (mary, demo).

There is link to job where the config tool is used to add demo users:
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EPP/view/EPP/view/6.2/view/UI%20Database%20Support/job/epp6_ui_selenium_tests_db_mysql55/116/

in the log of the build you can see the exceptions.

Comment 2 mposolda 2014-07-28 14:17:32 UTC
Doesn't require release notes as issue is in FilterDisabledLoginModule, which is new stuff in JPP 6.2 .

Comment 3 Peter Palaga 2014-08-12 11:34:28 UTC
https://github.com/gatein/gatein-portal/pull/892 was merged in upstream.

Comment 4 vramik 2014-09-02 11:25:23 UTC
Verified in ER05.


Note You need to log in before you can comment on or make changes to this bug.